#ifndef XGFXDRAWSURFFIELDS_H
#define XGFXDRAWSURFFIELDS_H

#include "xasset.h"

class XGfxDrawSurfFields : public XAsset
{
public:
    XGfxDrawSurfFields();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint64 mObjectId;
    quint64 mReflectionProbeIndex;
    quint64 mCustomIndex;
    quint64 mMaterialSortedIndex;
    quint64 mPrepass;
    quint64 mPrimaryLightIndex;
    quint64 mSurfType;
    quint64 mPrimarySortKey;
    quint64 mUnused;
};

#endif // XGFXIMAGELOADDEF_H
